Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.sequence.group
Class AbstractGappedSequenceGroup

    java.lang.Object
      |
      +--uk.ac.man.bioinf.sequence.group.AbstractGappedSequenceGroup

All Implemented Interfaces:
  GappedSequenceGroup, SequenceGroup

Direct Known Subclasses:
  DefaultGappedSequenceGroup, GroupSequenceAlignment

public abstract class AbstractGappedSequenceGroup
extends Object
implements GappedSequenceGroup

AbstractGappedSequenceGroup.java Created: Thu Jun 1 18:25:15 2000

Version:
  $Id: AbstractGappedSequenceGroup.java,v 1.4 2001/04/11 17:04:43 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`AbstractGappedSequenceGroup()`

Method Summary
`GappedSequence[]` | `getGappedSequences()` Return all the sequences in this group as a GappedSequence array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface uk.ac.man.bioinf.sequence.group.SequenceGroup
`addSequenceToGroup, clearSequences, containsSequence, getNumberSequences, getSequences, iterator, removeSequenceFromGroup`

Constructor Detail

### AbstractGappedSequenceGroup

    public AbstractGappedSequenceGroup()

Method Detail

### getGappedSequences

    public GappedSequence[] getGappedSequences()

  Description copied from interface: `GappedSequenceGroup`
  Return all the sequences in this group as a GappedSequence array. If this group contains sequences which are not GappedSequences this will result in a run time ClassCastException

  Specified by:
    `getGappedSequences` in interface `GappedSequenceGroup`
  Returns:
    the sequences

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD